%define libmsexport %mklibname msexport 1
%define libnamegrass %mklibname %{name}grass 0
%define libqgis %mklibname qgis 0

%define _requires_exceptions .*libgrass_.*

Name: qgis
Version: 0.9.1
Release: %mkrel 3
Summary: Geographic Information System for Linux/Unix
Group: Sciences/Geosciences
URL: http://qgis.sourceforge.net/
Source:	http://prdownloads.sourceforge.net/qgis/%{name}_%{version}.tar.gz
License: GPL
Obsoletes: %{libqgis}
Obsoletes: %{libmsexport}
Requires: python-sip
Requires: python-qt4
Requires: python-BioSQL
Requires: postgis
BuildRequires: cmake
BuildRequires: grass 
BuildRequires: gdal-devel 
BuildRequires: geos-devel
BuildRequires: proj-devel
BuildRequires: expat-devel
BuildRequires: gsl-devel
BuildRequires: cfitsio-devel 
BuildRequires: ImageMagick
BuildRequires: flex 
BuildRequires: bison
BuildRequires: mlocate
BuildRequires: postgresql-devel
BuildRequires: postgis-devel
BuildRequires: netcdf-devel
BuildRequires: qt4-devel 
BuildRequires: qt4-linguist
BuildRequires: python-sip
BuildRequires: python-qt4
BuildRequires: python-BioSQL
%py_requires -d
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Quantum GIS (QGIS) is designed to be a Geographic Information System (GIS) 
built for Linux/Unix. QGIS will offer support for vector and raster formats. 
Currently QGIS supports shapefiles and PostgreSQL/PostGIS layers.  

Planned features include:

    * Read and edit shapefiles
    * Display georeferenced rasters (tiff, png, geotiff)
    * Plugins to dynamically add new functionality to the application
    * Support for database tables
    * Support for spatially enabled tables in PostgreSQL using PostGIS
    * Map output
    * Script engine
    * Metadata support

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man1/*
# Shared libs. No more devel libs
%{_libdir}/*.so
%doc AUTHORS BUGS COPYING ChangeLog INSTALL README TODO
%exclude %{_libdir}/%{name}/*grass*.so
%exclude %_datadir/qgis/grass
%exclude %_libdir/libqgisgrass.so

#---------------------------------------------------------

%package devel
Summary: Development libraries and headers for QGIS
License: GPL
Group: Sciences/Geosciences
Requires: qgis
Obsoletes: %{_lib}qgis-devel

%description devel
Development headers for QGIS

%files devel
%defattr(-,root,root)
%{_includedir}/*

#---------------------------------------------------------

%package grass
Summary: QGIS plugins for accessing GRASS data
License: GPL
Group: Sciences/Geosciences
Obsoletes: %{libnamegrass}
Requires: grass

%description grass
This package provides plugins for QGIS that provide access to GRASS data from
within QGIS.

%files grass
%defattr(-,root,root)
%{_libdir}/%{name}/*grass*.so
%_datadir/qgis/grass
%_libdir/libqgisgrass.so

#---------------------------------------------------------

%prep
%setup -q -n %{name}_%{version}

%build

%cmake_qt4 \
	-DQGIS_LIB_SUBDIR=%_lib \
	-DQGIS_PLUGIN_SUBDIR=%_lib/qgis \
	-DGRASS_PREFIX=%_libdir/grass62 

%make

%install
rm -rf %buildroot
make -C build DESTDIR=%buildroot install

mv %buildroot/%_prefix/man %buildroot/%_datadir

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Quantum GIS
Comment=Quantum Geographic Information System
Exec=LD_LIBRARY_PATH=%{_libdir}/%{grass}/lib GISBASE=%{_libdir}/%{grass} %{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Geosciences;Science;
EOF

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-3mdv2008.1
+ Revision: 171072
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2008.1
+ Revision: 167055
- Added build requires and requires.
  Thanks to Francisco Alcaraz Ariza that debigged and tested package

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-1mdv2008.1
+ Revision: 164239
- Major update of QGis spec related to major QGis changes, including cmake and plugin changes
- old libraries are obsoleted thanks to new Qt plugin system
- grass plugin now is fully working, but a update of our grass package will be come soon
- Update for current qgis 0.9.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 68288
- Drop msexport for now

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.8.0-6mdv2008.0
+ Revision: 25067
- Rebuild with new libjasper.
- Added patch to fix build with qt 4.3.x (qt4.3_buildfix).


* Mon Mar 26 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-5mdv2007.1
+ Revision: 148764
- Dont ship devel files in grass plugin, and filter libqgsprojectionselector
 requires - fixes bug #29734

* Thu Mar 15 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-4mdv2007.1
+ Revision: 144309
- Correct fix for grass lib location on x86_64 (which survives make running
 configure again)
- Buildrequires
- Buildrequire flex
- Add missung (but mostly unused) python patch
- New version 0.8.0

* Fri Sep 01 2006 Buchan Milne <bgmilne@mandriva.org> 0.7.4-1mdv2007.0
+ Revision: 59063
- Import qgis

* Fri Sep 01 2006 Buchan Milne <bgmilne@staff.telkomsa.net> 0.7.4-1mdv2007.0
- 0.7.4
- add/split grass plugin
- fix build on x86_64
- xdg menu
- filter out grass devel requires which arent provided by anything

* Thu May 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-3mdk
- Rebuild for postgresql-devel 8.0.2

* Sat Apr 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-2mdk
- add postgis patch (thanks Servio Tulio Pires Amarante)

* Fri Apr 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- build for grass6

* Wed Oct 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- set GISBASE in menu as well (make grass support work out-the-box)
- fix libtool file

* Wed Sep 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-2mdk
- add menu, fix files lists, remove empty files, fix all packaging bugs
- introduce to contrib

* Mon Jul 05 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0

* Mon Jun 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.0-1mdk
- First Mandrake package

